# iBrand E-Commerce open source project

iBrand EC 是一个免费的开源电子商务解决方案，使用 PHP 基于 Laravel 框架进行编写。基于模块化开发，易扩展，可基于个性需求快速实现定制化需求，功能符合国内电商绝大部分使用场景。

> 基于目前移动互联网的发展趋势，目前只提供 API 和 后端管理，不提供PC端商城。如有需要可理解项目架构后自行实现。

管理后台：[iBrand e-commerce admin]( https://demo-open-admin.ibrand.cc/admin)

后台账号密码请关注公众号 [iBrand社交新零售](https://iyoyo.oss-cn-hangzhou.aliyuncs.com/post/wechat.jpg)  (微信号：ibrand_cc) 获取。

扫码体验小程序：

![体验小店](https://iyoyo.oss-cn-hangzhou.aliyuncs.com/post/miniprogramcode/1.jpg)

## 更新日志

目前 2.x 版本正在更新中，更新日志请见此[文档](./CHANGELOG.md)

## 文档

- [API 文档](https://www.ibrand.cc/docs/api/)
- [iBrand 电商系统教程](https://www.ibrand.cc/open/article)

## 特性

- 使用 Laravel + dingo/api 完成接口开发。
- 基于 Modules 或者 Package 开发模式，每个模块都是一个 Package，并且基础模块完成了单元测试，可复用性和可扩展性高。
- 基于 Laravel-admin 实现管理后台。
- 符合国内绝大部分B2C电商需求，同时可以轻易改造成 B2B、O2O、S2B2C模式。
- 完整的API文档+系统使用教程+业务说明文档。
- 配套的小程序解决方案+源码。
- docker 实现自动化部署、负载均衡、自动扩容等。（待更新）
- swoole 结合提高并发。（待更新）

## 贡献源码

该项目正在持续迭代更新中，如果你想参与到本项目中来，请提交 Pull Request !

如果你发现任何错误或者问题，请提交到[官方社区](https://www.ibrand.cc/open/discuss)或者[提交ISSUE](https://github.com/ibrandcc/ecommerce-open-api/issues)